using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 酒店预定费用表
    /// </summary>
    [SugarTable("Grp_HotelReservations")]
    public class Grp_HotelReservations:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DiId { get; set; }
        /// <summary>
        /// 客人类型（设置数据外键编号）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GTId { get; set; }
        /// <summary>
        /// 入住卷号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CheckNumber { get; set; }
        /// <summary>
        /// 预订网站（设置数据外键编号）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ReservationsWebsite { get; set; }
        /// <summary>
        /// 预订号码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ReservationsNo { get; set; }
        /// <summary>
        /// 酒店确定编号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string DetermineNo { get; set; }
        /// <summary>
        /// 所在城市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string City { get; set; }
        /// <summary>
        /// 酒店名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string HotelName { get; set; }
        /// <summary>
        /// 酒店地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string HotelAddress { get; set; }
        /// <summary>
        /// 酒店电话
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string HotelTel { get; set; }
        /// <summary>
        /// 酒店传真
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string HotelFax { get; set; }
        /// <summary>
        /// 客人姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string GuestName { get; set; }
        /// <summary>
        /// 入住日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string CheckInDate { get; set; }
        /// <summary>
        /// 退房日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string CheckOutDate { get; set; }
        /// <summary>
        /// 预算金额
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal Budget { get; set; }
        /// <summary>
        /// 预算币种（设置数据外键编号）
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int BudgetCurrency { get; set; }
        /// <summary>
        /// 单间数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SingleRoomCount { get; set; }
        /// <summary>
        /// 单间单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal SingleRoomPrice { get; set; }
        /// <summary>
        /// 双间数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DoubleRoomCount { get; set; }
        /// <summary>
        /// 双间单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal DoubleRoomPrice { get; set; }
        /// <summary>
        /// 套房数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int SuiteRoomCount { get; set; }
        /// <summary>
        /// 套房单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal SuiteRoomPrice { get; set; }
        /// <summary>
        /// 其他房型数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OtherRoomCount { get; set; }
        /// <summary>
        /// 其他房型单价
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal OtherRoomPrice { get; set; }
        /// <summary>
        /// 佣金
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal Commission { get; set; }
        /// <summary>
        /// 佣金币种（设置数据外键编号）
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CommissionCurrency { get; set; }
        /// <summary>
        /// 佣金标识
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CommissionMark { get; set; }
        /// <summary>
        /// 房间说明
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string RoomExplanation { get; set; }
        /// <summary>
        /// 附件地址
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string Attachment { get; set; }
        /// <summary>
        /// 信用卡金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CardPrice { get; set; }
        /// <summary>
        /// 信用卡刷卡类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CardPriceCurrency { get; set; }
        /// <summary>
        /// 确认标识   信用卡金额
        /// 0：未刷(红色)  1:已刷(绿色)
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCardPrice { get; set; }
        /// <summary>
        /// 早餐费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal BreakfastPrice { get; set; }
        /// <summary>
        /// 早餐费 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public decimal BreakfastCurrency { get; set; }

        /// <summary>
        /// 由地接支付
        /// 0 是 1否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Isoppay { get; set; }

        /// <summary>
        /// 是否有单间
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CboOne { get; set; }
        /// <summary>
        /// 是否有双间
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CboTwo { get; set; }
        /// <summary>
        /// 是否有酒店套房
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CboThree { get; set; }
        /// <summary>
        /// 是否有其他房型
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CboFour { get; set; }
        /// <summary>
        /// 预计单间数量
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PredictSingleRoom { get; set; }
        /// <summary>
        /// 预计双人间数量
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PredictDoubleRoom { get; set; }
        /// <summary>
        /// 预计套房数量
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PredictSuiteRoom { get; set; }
        /// <summary>
        /// 预计其他间数量
        /// 弃用 弃用时间 2023-12-28 17:30
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PredictOtherRoom { get; set; }
        /// <summary>
        /// 地税
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal GovernmentRent { get; set; }
        /// <summary>
        /// 地税币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GovernmentRentCurrency { get; set; }
        /// <summary>
        /// 城市税
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CityTax { get; set; }
        /// <summary>
        /// 城市税币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CityTaxCurrency { get; set; }
        /// <summary>
        /// 房间入住人类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CheckType { get; set; }
    }
}
